%global srcname idm389
%global sum A library for managing the user, group and other contents of 389 Directory Server
%global vers 1.0.1

Name: python-%{srcname}
Summary: %{sum}
Version: %{vers}
Release: 1%{?dist}
%global tarver %{version}-1
# Where should we put this too ....
License: GPLv3+
Url: https://github.com/Firstyear/idm389
Source0: http://www.port389.org/binaries/%{name}-%{tarver}.tar.bz2
Group: Development/Libraries
BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
# BuildRequires: python%{python_pkgversion}-setuptools

Requires: python-lib389

%description
A library to manage the users, groups, permissions and other functions of a 389
Directory Server installation.

%package -n python2-%{srcname}
Summary:    %{sum}
Requires: python2-lib389
%{?python_provide:%python_provide python2-%{srcname}}
%description -n python2-%{srcname}
A library to manage the users, groups, permissions and other functions of a 389
Directory Server installation.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:    %{sum}
Requires: python%{python3_pkgversion}-lib389
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
%description -n python%{python3_pkgversion}-%{srcname}
A library to manage the users, groups, permissions and other functions of a 389
Directory Server installation.


%prep
%autosetup -n %{name}-%{tarver}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%license LICENSE
%doc README.md
%{python2_sitelib}/*
%{_sbindir}/*

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/*
%{_sbindir}/*

%changelog
* Mon Sep 19 2016 William Brown <wibrown@redhat.com> - 1.0.1-1
- Refactor of specfile

* Thu Jun 23 2016 William Brown <wibrown@redhat.com> - 1.0.0-1
- Create spec file

